# $Revision: 1.5 $, $Date: 2002/05/26 12:03:59 $
Summary:	XMMS - plugin to read current xmms status
Summary(pl):	Aplet do odczytu aktualnego stanu XMMS
Name:		xmms-general-infopipe
Version:	1.3
Release:	23
Epoch:		1
License:	GPL
Vendor:		Weyfour WWWWolf (aka Urpo Lankinen)
Group:		X11/Applications/Multimedia
Source0:	http://www.beastwithin.org/users/wwwwolf/code/xmms/xmms-infopipe-%{version}.tar.gz
Patch0:		%{name}-tmpdir.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	xmms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
XMMS InfoPipe is a plugin that reports XMMS status via named pipe.
Handy if you want to add interesting real-time information for a
personal web page, or a web cam page.

%description -l pl
XMMS InfoPipe to plugin wypisujcy aktualny status XMMS przez nazwan
rurk. Porczne gdy chcesz doda biec informacj np. na stron WWW.

%prep
%setup -q -n xmms-infopipe-%{version}
%patch0 -p1

%build
rm -f missing
libtoolize --copy --force
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{_libdir}/xmms/General/libinfopipe*.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmms-general-infopipe.spec,v $
Revision 1.5  2002/05/26 12:03:59  kloczek
- release 23.

Revision 1.4  2002/05/25 17:01:15  qboosh
- cosmetics in description

Revision 1.3  2002/05/21 23:19:49  kloczek
- typo in %build.

Revision 1.2  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/05/21 22:41:09  kloczek
- package rebamed: xmms-infopipe -> xmms-general-infopipe,
- removed all redundant Requires and BuildRequires rules,
- use new %doc packing infrastructure,
- added regenerate ac/am/lt files,
- removed INSTALL from %doc,
- spec adapterized and some minor changes and cleanups added.
